VULKAN_HPP_NAMESPACE::ClearAttachment Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ClearAttachment:
[legend]

## Public Member Functions

| ClearAttachment (ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t colorAttachment_=0, ClearValue clearValue_=ClearValue())
| ClearAttachment (VkClearAttachment const &rhs)
ClearAttachment & | operator= (VkClearAttachment const &rhs)
ClearAttachment & | setAspectMask (ImageAspectFlags aspectMask_)
ClearAttachment & | setColorAttachment (uint32_t colorAttachment_)
ClearAttachment & | setClearValue (ClearValue clearValue_)
| operator VkClearAttachment const & () const
| operator VkClearAttachment & ()

## Data Fields

ImageAspectFlags | aspectMask
uint32_t | colorAttachment
ClearValue | clearValue

## Detailed Description

Definition at line 25563 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ClearAttachment() [1/2]

VULKAN_HPP_NAMESPACE::ClearAttachment::ClearAttachment | ( | ImageAspectFlags | aspectMask_ = `ImageAspectFlags()`,
|  | uint32_t | colorAttachment_ = `0`,
|  | ClearValue | clearValue_ = `ClearValue()`
| ) |  |

inline

Definition at line 25565 of file vulkan.hpp.

: aspectMask( aspectMask_ )
, colorAttachment( colorAttachment_ )
, clearValue( clearValue_ )
{
}

## ClearAttachment() [2/2]

VULKAN_HPP_NAMESPACE::ClearAttachment::ClearAttachment | ( | VkClearAttachment const & | rhs | ) |

inline

Definition at line 25574 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ClearAttachment ) );
}

References memcpy.

## Member Function Documentation

## operator VkClearAttachment &()

VULKAN_HPP_NAMESPACE::ClearAttachment::operator VkClearAttachment & | ( |  | ) |

inline

Definition at line 25607 of file vulkan.hpp.

{
return *reinterpret_cast<VkClearAttachment*>(this);
}

## operator VkClearAttachment const &()

VULKAN_HPP_NAMESPACE::ClearAttachment::operator VkClearAttachment const & | ( |  | ) | const

inline

Definition at line 25602 of file vulkan.hpp.

{
return *reinterpret_cast<const VkClearAttachment*>(this);
}

## operator=()

ClearAttachment& VULKAN_HPP_NAMESPACE::ClearAttachment::operator= | ( | VkClearAttachment const & | rhs | ) |

inline

Definition at line 25579 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ClearAttachment ) );
return *this;
}

References memcpy.

## setAspectMask()

ClearAttachment& VULKAN_HPP_NAMESPACE::ClearAttachment::setAspectMask | ( | ImageAspectFlags | aspectMask_ | ) |

inline

Definition at line 25584 of file vulkan.hpp.

{
aspectMask = aspectMask_;
return *this;
}

References aspectMask.

## setClearValue()

ClearAttachment& VULKAN_HPP_NAMESPACE::ClearAttachment::setClearValue | ( | ClearValue | clearValue_ | ) |

inline

Definition at line 25596 of file vulkan.hpp.

{
clearValue = clearValue_;
return *this;
}

References clearValue.

## setColorAttachment()

ClearAttachment& VULKAN_HPP_NAMESPACE::ClearAttachment::setColorAttachment | ( | uint32_t | colorAttachment_ | ) |

inline

Definition at line 25590 of file vulkan.hpp.

{
colorAttachment = colorAttachment_;
return *this;
}

References colorAttachment.

## Field Documentation

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::ClearAttachment::aspectMask

Definition at line 25612 of file vulkan.hpp.

Referenced by setAspectMask().

## clearValue

ClearValue VULKAN_HPP_NAMESPACE::ClearAttachment::clearValue

Definition at line 25614 of file vulkan.hpp.

Referenced by setClearValue().

## colorAttachment

uint32_t VULKAN_HPP_NAMESPACE::ClearAttachment::colorAttachment

Definition at line 25613 of file vulkan.hpp.

Referenced by setColorAttachment().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ClearAttachment::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:25612
VULKAN_HPP_NAMESPACE::ClearAttachment::colorAttachment
uint32_t colorAttachment
Definition: vulkan.hpp:25613
VkClearAttachment
Definition: vulkan_core.h:2756
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ClearAttachment::clearValue
ClearValue clearValue
Definition: vulkan.hpp:25614
VULKAN_HPP_NAMESPACE::ClearAttachment::ClearAttachment
ClearAttachment(ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t colorAttachment_=0, ClearValue clearValue_=ClearValue())
Definition: vulkan.hpp:25565